Newton's Programmatic Measurements

    eslint-plugin-lint-md

    0.0.3 • Public • Published

    eslint-plugin-lint-md

    依靠各个 IDE 对 eslint 不错的支持,让 lint-md 玩家也能得到愉悦的文档编写体验。

    安装

    # use npm
    npm install eslint eslint-plugin-lint-md
    
    # use yarn
    yarn add eslint eslint-plugin-lint-md

    使用

    为你的 .eslintrc.js 追加以下配置,关于规则的详细信息请参考 lint-md

    module.exports = {
      extends: ['plugin:lint-md/recommend']
    }

    IDE 支持

    在 vscode 中使用 eslint-plugin-lint-md

    安装 eslint 插件

    在 vscode 插件商店中搜索 eslint,安装之:

    追加配置

    • 在项目根目录下新建 .vscode 目录,然后新建 settings.json 文件(如果已有,忽略此步骤)
    • 追加如下配置,让 eslint 插件审查 markdown 文件:
    {
      "eslint.validate": [
        "markdown"
      ]
    }

    查看效果

    最终效果如图所示:

    在 webstorm 中使用 eslint-plugin-lint-md

    设置 .md 后缀支持

    • 进入 file -> settings -> languages & frameworks -> JavaScript -> Code Quality Tools -> ESLint 设置项
    • Run for files 一栏中添加 .md 后缀。
    • 点击 ok 保存设置

    查看效果

    最终效果如图所示:

    Keywords

    none

    Install

    npm i eslint-plugin-lint-md

    DownloadsWeekly Downloads

    4

    Version

    0.0.3

    License

    MIT

    Unpacked Size

    37.8 kB

    Total Files

    28

    Last publish

    Collaborators

    • yzl520